Product comparison · 2 network switches

Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey vs Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey

Add a product
  • 45specifications compared
  • 15differ
  • 30identical
  • 7known for one product only

Key differences

The Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey has 16 more basic switching RJ-45 Ethernet ports quantity than the Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey (24 vs 8). The Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey has 1 more combo SFP ports quantity than the Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey (2 vs 1). The Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey has 3.2 Gbit/s more switching capacity than the Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey (8.8 Gbit/s vs 5.6 Gbit/s). MIB support: RFC1213, RFC2665, RFC2863, RFC1493, on the Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey, RFC1213, RFC2665, RFC2863, RFC1493 on the Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey. Safety: VCCI, UL60950-1, CSA-C22.2 No. 60950-1 on the Allied Telesis AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey, UL60950-1, CSA-C22.2 No. 60950-1 on the Allied Telesis AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey.

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:8
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:24
  • Combo SFP ports quantity
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:1
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:2
  • Switching capacity
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:5.6 Gbit/s
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:8.8 Gbit/s
  • Throughput
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:2.68 Mpps
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:6.55 Mpps
  • AC input voltage
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:100 - 240 V
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:100 - 120 V
  • Input current
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:0.2 A
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:0.3 A
  • Power consumption (typical)
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:7.4 W
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:12 W
  • Power consumption (max)
    • AT-FS909M-50 Managed L2 Fast Ethernet (10/100) Grey:11 W
    • AT-FS926M-50 Managed L2 Fast Ethernet (10/100) 1U Grey:16 W

Side by side

Differences highlightedShow differences only (on)
Comparison of AT-FS909M-50, AT-FS926M-50
52 specifications
Management features1 differ
MIB supportDiffersRFC1213, RFC2665, RFC2863, RFC1493,RFC1213, RFC2665, RFC2863, RFC1493
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers824
Combo SFP ports quantityDiffers12
Networkidentical
Head-of-line (HOL) blockingKnown for oneUnknown — not stated by the sourceYes
Copper ethernet cabling technologyKnown for one1000BASE-T, 100BASE-T, 10BASE-TUnknown — not stated by the source
Data transmission2 differ
Switching capacityDiffers5.6 Gbit/s8.8 Gbit/s
ThroughputDiffers2.68 Mpps6.55 Mpps
Securityidentical
Security algorithmsKnown for oneEAP-TTLS, MD5, PEAP, SSL/TLSUnknown — not stated by the source
Protocols1 differ
Management protocolsDiffersIGMP, MLDSNMP, Telnet, IGMP, MLD, SNTP, TFTP, HTTP
Supported network protocolsKnown for oneBPDU, DHCP, SNTPUnknown — not stated by the source
Design1 differ
Form factorKnown for oneUnknown — not stated by the source1U
SafetyDiffersVCCI, UL60950-1, CSA-C22.2 No. 60950-1UL60950-1, CSA-C22.2 No. 60950-1
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source32 MB
Flash memoryKnown for oneUnknown — not stated by the source8 MB
Power4 differ
AC input voltageDiffers100 - 240 V100 - 120 V
Input currentDiffers0.2 A0.3 A
Power consumption (typical)Differs7.4 W12 W
Power consumption (max)Differs11 W16 W
Weight & dimensions4 differ
WidthDiffers263 mm341 mm
DepthDiffers179 mm210 mm
HeightDiffers38 mm44 mm
WeightDiffers1.3 kg2.1 kg

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons